Subject: Re: bug#34614: 26.1.92; When reading input in mini-buffer, message to each area overide the input prompt

From: Zhang Haijun <[email-masked]>
Date: Fri, 22 Feb 2019 15:40:34 +0000

> 在 2019年2月22日，下午11:07，martin rudalics <[email-masked]> 写道：
> 
> > For example, I run find-file, and then input file name in
> > mini-buffer. During inputting, one buffer’s file has been changed
> > externally. Emacs reverts the file and print a message to each
> > area. Then I can’t see the prompt of find-file and chars I have
> > inputted.
> 
> Please tell us a bit more about what you did.  IIUC you must have had
> enabled 'auto-revert-mode' in that session but I can't find it in the
> list of "minor modes in effect" of your report.  If you did use
> 'auto-revert-mode', did you have any related customizations?  If so,
> which?  If you can repeat the bug, can you also repeat it when you
> reset 'auto-revert-stop-on-user-input' and/or 'auto-revert-verbose’?

Sorry. I use wrong emacs instance to report the bug.

Steps to reproduce the bug:
1. start emacs with emacs -Q
2. M-x global-auto-revert-mode
3. Open a test file with emacs
4. M-x find-file, it will prompt and read file name
5.  modify the test file with other tool and save the file
6. emacs will revert the file and print a message like "Reverting buffer xxx”.
7. the find-file ui will not come back.

> Also, was your formulation "print a message to each area" intentional?
> Here a message is printed to the echo area of the selected frame only,
> that is, to one and only one echo area.
> 
> > I have to press C-g and then run the command again.
> 
> What does 'minibuffer-depth' return at the time you have to press C-g?
> Can you enter the minibuffer window via C-x o?

The cursor was in minibuffer then and I could input more chars in minibuffer.
I press C-g only because I didn’t remember what I have inputted(Because I couldn’t see them then.). For me running the command again is cheaper and safer than continuing the blind inputting.